generic: shutdown fs after log recovery
[xfstests-dev.git] / tests / generic / 131
1 #! /bin/bash
2 # FSQA Test No. 131
3 #
4 # lock test created from CXFSQA test lockfile_simple
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2006 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 seqres=$RESULT_DIR/$seq
27 echo "QA output created by $seq"
28
29 here=`pwd`
30 tmp=/tmp/$$
31 status=1        # failure is the default!
32 trap "_cleanup; exit \$status" 0 1 2 3 15
33
34 _cleanup()
35 {
36     kill $locktest_pid2 > /dev/null 2>&1
37     kill $locktest_pid1 > /dev/null 2>&1
38 }
39
40 # get standard environment, filters and checks
41 . ./common/rc
42 . ./common/filter
43
44 # real QA test starts here
45 _supported_fs generic
46 _supported_os Linux
47 _require_test
48 _require_test_fcntl_advisory_locks
49
50 TESTFILE=$TEST_DIR/lock_file
51
52 # Start the server
53 src/locktest $TESTFILE 2>&1 > $TEST_DIR/server.out &
54 locktest_pid1=$!
55
56 sleep 1
57
58 PORT=$(cat $TEST_DIR/server.out | grep "^server port: " | awk '{print $3}')
59 if [ -z $PORT ]; then
60         echo "Could not get server port"
61         exit 1
62 fi
63
64 # Start the client
65 src/locktest -p $PORT -h localhost $TESTFILE 2>&1 > $TEST_DIR/client.out
66 locktest_pid2=$!
67 result=$?
68 if [ $result -eq 0 ]; then
69         echo success!
70         status=0
71 else
72         echo "Client reported failure ($result)"
73         cat $TEST_DIR/*.out
74 fi
75
76 exit